import { Repository } from "typeorm";
import { Service } from "../../common/service/service.entity";
import { CreateServiceDto, UpdateServiceDto } from "./service.dto";
export declare class AdminServiceService {
    private readonly serviceRepository;
    constructor(serviceRepository: Repository<Service>);
    create(createServiceDto: CreateServiceDto): Promise<Service>;
    findAll(shopId: number): Promise<Service[]>;
    findOne(id: number): Promise<Service>;
    update(id: number, updateServiceDto: UpdateServiceDto): Promise<Service>;
    remove(id: number): Promise<void>;
}
